Subject: Re: [bug#57345] [PATCH] Add gnupg to propagated-inputs of trezor-agent

From: Maxime Devos <[email-masked]>
Date: Tue, 6 Sep 2022 17:48:22 +0200

On 05-09-2022 07:49, guix-patches--- via wrote:
> Nothing I do seems to work at all.
>
> Last night I thought of a fundamental question:
> Are `inputs` accessible in the guix store at runtime?
If a reference (i.e., a /gnu/store/the-input-... string) ends up in the 
resulting store item of trezor-agent, then yes.
> If they are, that means I am too dumb to correctly parse the documentation.
As far as I'm aware it is not documented that the GC is based on 
reference-scanning.
> My initial patch proves, that `gnupg` has to be available at runtime. At this point I am incapable of doing anything more. I got physically sick of trying to understand and use all the procedures.

Look where 'gnupg' is used in trezor-agent (git grep -F can be useful) 
and replace it with substitute* + search-input-file. Alternatively, 
wrap-program, as proposed in Efraim's reply.

Greetings,
Maxime.